pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

print/ghostscript fails to build under amd64-dragonfly release

I got the error message telling me to try compiling with -fPIC when
building ghostscript on the recent dragonfly-amd64 2.4.release
similar to the error message noted in the Makefile for linux x86_64,
so I tried adding that and it built.

Please add the following to the pkgsrc print/ghostscript/Makefile
around line #59 alongside the similar lines for netbsd, linux...

CFLAGS.DragonFly= -fPIC

unless there's something terribly wrong with that idea, and you have a
better solution....


Ed Berger

Home | Main Index | Thread Index | Old Index